#!/usr/bin/env node
/*!
 * gitmars v3.3.5
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
'use strict';

const { program } = require("commander");
const { createArgs } = require("@gitmars/core/lib/utils/command");
const runJenkins = require("@gitmars/core/lib/build/runJenkins");
const { options, args } = require("./conf/build");
program.name("gitm build").usage("<project> [-e --env [env]] [-a --app [app]]").description("\u6784\u5EFAJenkins");
if (args.length > 0)
  program.arguments(createArgs(args));
options.forEach((o) => {
  program.option(o.flags, o.description, o.defaultValue);
});
program.action((project, opt) => {
  runJenkins({
    env: opt.env,
    project,
    app: opt.app
  });
});
program.parse(process.argv);
