#!/usr/bin/env node
/*!
 * gitmars v3.3.5
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
'use strict';

const { program } = require("commander");
const sendGroupMessage = require("@gitmars/core/lib/sendGroupMessage");
const { createArgs } = require("@gitmars/core/lib/utils/command");
const { options, args } = require("./conf/postmsg");
program.name("gitm postmsg").usage("<message> [-u --url [url]]").description("\u53D1\u9001\u7FA4\u6D88\u606F");
if (args.length > 0)
  program.arguments(createArgs(args));
options.forEach((o) => {
  program.option(o.flags, o.description, o.defaultValue);
});
program.action((message, opt) => {
  sendGroupMessage(message, opt.url || "");
});
program.parse(process.argv);
