#!/usr/bin/env node
/*!
 * gitmars v3.3.5
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
'use strict';

const { program } = require("commander");
const { createArgs } = require("@gitmars/core/lib/utils/command");
const run = require("@gitmars/core/lib/hook/run");
const { options, args } = require("./conf/run");
program.name("gitm run").usage("[command] [args...]").description("git\u94A9\u5B50\u8FD0\u884C\u6307\u4EE4");
if (args.length > 0)
  program.arguments(createArgs(args));
options.forEach((o) => {
  program.option(o.flags, o.description, o.defaultValue);
});
program.action((command, args2, opt) => {
  run(command, args2, opt);
});
program.parse(process.argv);
